/* CCUSTOM PRODUCTO DETALLE */

/* Contenedor del zoom */
div.zoom {
    background-position: center ; 
    background-size: cover;
    background-repeat: no-repeat; 
    border-radius: .5rem;
    cursor: zoom-in;
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 300px; 
  }
  
  
  /* Imagen principal */
  div.zoom img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain; /* Asegura que la imagen se ajuste sin recortes */
    transition: opacity .5s;
  }
  
  
  /* Ocultar la imagen principal al hacer hover en el contenedor */
  div.zoom:hover img {
    transform: scale(1.6)
  }
  
  /* Imagen de zoom */
  
  
  .thumbnail-cover-img {
    height: auto; 
    max-width: 100%;
  }
  .img-zoom img {
    transition: transform .5s ease;}
  
  .img-zoom {
    border-radius: .5rem;
    overflow: hidden;
  }
  
  .table {
      --fc-table-color-type: initial;
      --fc-table-bg-type: initial;
      --fc-table-color-state: initial;
      --fc-table-bg-state: initial;
      --fc-table-color: var(--fc-body-color);
      --fc-table-bg: transparent;
      --fc-table-border-color: var(--fc-border-color);
      --fc-table-accent-bg: transparent;
      --fc-table-striped-color: var(--fc-body-color);
      --fc-table-striped-bg: var(--fc-gray-100);
      --fc-table-active-color: var(--fc-body-color);
      --fc-table-active-bg: var(--fc-gray-100);
      --fc-table-hover-color: var(--fc-body-color);
      --fc-table-hover-bg: var(--fc-gray-100);
      border-color: var(--fc-table-border-color);
      margin-bottom: 0rem;
      vertical-align: top;
      width: 100%;
      line-height: 0;
  }
  
  .btn-check {
      clip: rect(0,0,0,0);
      pointer-events: none;
      position: absolute
  }
  
  .btn-check:disabled+.btn,.btn-check[disabled]+.btn {
      filter: none;
      opacity: .65;
      pointer-events: none
  }
  
  [data-bs-theme=dark] .form-switch .form-check-input:not(:checked):not(:focus) {
      --fc-form-switch-bg: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3E%3Ccircle r='3' fill='rgba(255, 255, 255, 0.25)'/%3E%3C/svg%3E")
  }
  .btn {
      --fc-btn-padding-x: 1rem;
      --fc-btn-padding-y: 0.55rem;
      --fc-btn-font-family: ;
      --fc-btn-font-size: 0.875rem;
      --fc-btn-font-weight: 600;
      --fc-btn-line-height: 1.6;
      --fc-btn-color: var(--fc-body-color);
      --fc-btn-bg: transparent;
      --fc-btn-border-width: 1px;
      --fc-btn-border-color: transparent;
      --fc-btn-border-radius: 0.5rem;
      --fc-btn-hover-border-color: transparent;
      --fc-btn-box-shadow: inset 0 1px 0 hsla(0,0%,100%,.15),0 1px 1px rgba(0,0,0,.075);
      --fc-btn-disabled-opacity: 0.65;
      --fc-btn-focus-box-shadow: 0 0 0 0.25rem rgba(var(--fc-btn-focus-shadow-rgb),.5);
      background-color: var(--fc-btn-bg);
      border: var(--fc-btn-border-width) solid var(--fc-btn-border-color);
      border-radius: var(--fc-btn-border-radius);
      color: var(--fc-btn-color);
      cursor: pointer;
      display: inline-block;
      font-family: var(--fc-btn-font-family);
      font-size: var(--fc-btn-font-size);
      font-weight: var(--fc-btn-font-weight);
      line-height: var(--fc-btn-line-height);
      padding: var(--fc-btn-padding-y) var(--fc-btn-padding-x);
      text-align: center;
      text-decoration: none;
      transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
      -webkit-user-select: none;
      -moz-user-select: none;
      user-select: none;
      vertical-align: middle
  }
  
  @media (prefers-reduced-motion:reduce) {
      .btn {
          transition: none
      }
  }
  
  .btn:hover {
      background-color: var(--fc-btn-hover-bg);
      border-color: var(--fc-btn-hover-border-color);
      color: var(--fc-btn-hover-color)
  }
  
  .btn-check+.btn:hover {
      background-color: var(--fc-btn-bg);
      border-color: var(--fc-btn-border-color);
      color: var(--fc-btn-color)
  }
  
  .btn:focus-visible {
      background-color: var(--fc-btn-hover-bg);
      border-color: var(--fc-btn-hover-border-color);
      box-shadow: var(--fc-btn-focus-box-shadow);
      color: var(--fc-btn-hover-color);
      outline: 0
  }
  
  .btn-check:focus-visible+.btn {
      border-color: var(--fc-btn-hover-border-color);
      box-shadow: var(--fc-btn-focus-box-shadow);
      outline: 0
  }
  
  .btn-check:checked+.btn,.btn.active,.btn.show,.btn:first-child:active,:not(.btn-check)+.btn:active {
      background-color: var(--fc-btn-active-bg);
      border-color: var(--fc-btn-active-border-color);
      color: var(--fc-btn-active-color)
  }
  
  .btn-check:checked+.btn:focus-visible,.btn.active:focus-visible,.btn.show:focus-visible,.btn:first-child:active:focus-visible,:not(.btn-check)+.btn:active:focus-visible {
      box-shadow: var(--fc-btn-focus-box-shadow)
  }
  
  .btn-check:checked:focus-visible+.btn {
      box-shadow: var(--fc-btn-focus-box-shadow)
  }
  
  .btn.disabled,.btn:disabled,fieldset:disabled .btn {
      background-color: var(--fc-btn-disabled-bg);
      border-color: var(--fc-btn-disabled-border-color);
      color: var(--fc-btn-disabled-color);
      opacity: var(--fc-btn-disabled-opacity);
      pointer-events: none
  }
  
  .btn-primary {
    --fc-btn-color: #fff;
    --fc-btn-bg: #001438;
    --fc-btn-border-color: #001438; 
    --fc-btn-hover-color: #fff;
    --fc-btn-hover-bg: #001438; 
    --fc-btn-hover-border-color: #001438; 
    --fc-btn-focus-shadow-rgb: 0, 20, 56; 
    --fc-btn-active-color: #fff;
    --fc-btn-active-bg: #001438; 
    --fc-btn-active-border-color: #001438;
    --fc-btn-active-shadow: inset 0 3px 5px rgba(0,0,0,.125);
    --fc-btn-disabled-color: #fff;
    --fc-btn-disabled-bg: #001438; 
    --fc-btn-disabled-border-color: #001438; 
  }
  
  .btn-outline-secondary {
      --fc-btn-color: #889397;
      --fc-btn-border-color: #889397;
      --fc-btn-hover-color: #fff;
      --fc-btn-hover-bg: #889397;
      --fc-btn-hover-border-color: #889397;
      --fc-btn-focus-shadow-rgb: 136,147,151;
      --fc-btn-active-color: #fff;
      --fc-btn-active-bg: #889397;
      --fc-btn-active-border-color: #889397;
      --fc-btn-active-shadow: inset 0 3px 5px rgba(0,0,0,.125);
      --fc-btn-disabled-color: #889397;
      --fc-btn-disabled-bg: transparent;
      --fc-btn-disabled-border-color: #889397;
      --fc-gradient: none
  }
  
  .nav {
      --fc-nav-link-padding-x: 1rem;
      --fc-nav-link-padding-y: 0.5rem;
      --fc-nav-link-font-size: 0.875rem;
      --fc-nav-link-font-weight: 500;
      --fc-nav-link-color: var(--fc-gray-800);
      --fc-nav-link-hover-color: var(--fc-link-hover-color);
      --fc-nav-link-disabled-color: #c1c7c6;
      display: flex;
      flex-wrap: wrap;
      list-style: none;
      margin-bottom: 0;
      padding-left: 0
  }
  
  .nav-link {
      background: none;
      border: 0;
      color: var(--fc-nav-link-color);
      display: block;
      font-size: var(--fc-nav-link-font-size);
      font-weight: var(--fc-nav-link-font-weight);
      padding: var(--fc-nav-link-padding-y) var(--fc-nav-link-padding-x);
      text-decoration: none;
      transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out
  }
  
  .nav-pills {
      --fc-nav-pills-border-radius: 0.5rem;
      --fc-nav-pills-link-active-color: #fff;
      --fc-nav-pills-link-active-bg: #0aad0a
  }
  
  .nav-pills .nav-link {
      border-radius: var(--fc-nav-pills-border-radius)
  }
  
  
  .my-8 {
      margin-bottom: 2rem!important;
      margin-top: 2rem!important
  }
  
  .mt-8 {
      margin-top: 2rem!important
  }
  
  .bg-warning {
      --fc-bg-opacity: 1;
      background-color: #ffc107!important
  }
  
  
  .bg-light {
      --fc-bg-opacity: 1;
      background-color: #f0f3f2!important
  }
  
  .d-md-block {
      display: block!important
  }
  
  input::-webkit-inner-spin-button,input::-webkit-outer-spin-button {
      -webkit-appearance: none;
      margin: 0
  }
  
  .input-spinner .button-minus,.input-spinner .button-plus {
    background-color: transparent;
    border-color: var(--fc-gray-200);
    height: 2rem;
    width: 1.8rem;
  }
  
  .input-spinner .button-minus:hover,.input-spinner .button-plus:hover {
    background-color: var(--fc-gray-200);
    border-color: var(--fc-gray-200)
  }
  
  .input-spinner .form-input {
    background: 0 0;
    border: 1px solid var(--fc-gray-200);
    height: 100%;
    min-height: 2rem;
    text-align: center;
    width: 2rem!important
  }
  
  /* Alineación */
  .ql-editor .ql-align-center {
      text-align: center;
  }
  
  .docs-header .navbar .dropdown-menu {
    border: 1px solid #efeef1;
    margin: 0
  }
  
  .btn-group-sm>.btn-icon.btn,.btn-icon.btn-sm {
    font-size: .875rem;
    height: 2.1875rem;
    width: 2.1875rem
  }
  
  .btn-icon {
    align-items: center;
    display: inline-flex;
    flex-shrink: 0;
    font-size: .92969rem;
    font-weight: 400;
    height: 2.5rem;
    justify-content: center;
    padding: 0;
    position: relative;
    width: 2.5rem
  }
  
  .btn-group-sm>.btn,.btn-sm {
    --fc-btn-padding-y: 0.25rem;
    --fc-btn-padding-x: 0.5rem;
    --fc-btn-font-size: 0.765625rem;
    --fc-btn-border-radius: 0.25rem
  }
  
  .input-group>:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
    margin-left: -1px
  }
  
  .form-control-plaintext.form-control-lg,.form-control-plaintext.form-control-sm {
    padding-left: 0;
    padding-right: 0
  }
  .form-control-sm {
    border-radius: .25rem;
    font-size: .765625rem;
    min-height: calc(1.6em + .5rem + 2px);
    padding: .25rem .5rem
  }
  
  .form-control-sm::file-selector-button {
    margin: -.25rem -.5rem;
    margin-inline-end:.5rem;padding: .25rem .5rem
  }
  .form-control-color.form-control-sm {
    height: calc(1.6em + .5rem + 2px)
  }



  .product-tools .thumbnails {
    margin: 10px 0;
    text-align: center
}
.thumbnails li img {
  height: auto
}

.thumbnails .tns-nav-active .thumbnails-img {
  background: none;
  border: 2px solid var(--fc-primary);
  border-radius: .5rem
}
  